diff -ur eventum-1.7.1/ChangeLog eventum-1.7.1.charset/ChangeLog
--- eventum-1.7.1/ChangeLog	2006-03-30 19:42:18.000000000 +0300
+++ eventum-1.7.1.charset/ChangeLog	2006-03-30 21:23:48.293729264 +0300
@@ -127,13 +127,13 @@
 - Improved the installation routines to properly display the full path to potential missing files (João)
 - Updated Example Customer API to handle expired customers (Bryan)
 - Fixed bug that caused links in FAQ entries to be mangled (Bryan)
-- Fixed a bug on the workflow API so that it will only list backend files with filenames ending in .php (Elan RuusamÃ¤e)
-- Added a check on the link filter feature to avoid double parsing for urls (Elan RuusamÃ¤e)
+- Fixed a bug on the workflow API so that it will only list backend files with filenames ending in .php (Elan Ruusamäe)
+- Added a check on the link filter feature to avoid double parsing for urls (Elan Ruusamäe)
 - Fixed bug with full-text searching under MySQL 4.1 (Bryan)
-- Fixed email routing where domain portion was not properly verified (Elan RuusamÃ¤e)
+- Fixed email routing where domain portion was not properly verified (Elan Ruusamäe)
 - Added Expected Resolution Date field to list issues page (Bryan)
 - Changed the recent activity report to properly escape values in query (Bryan)
-- Fixed issue summaries escaping on weekly report to prevent XSS (Elan RuusamÃ¤e)
+- Fixed issue summaries escaping on weekly report to prevent XSS (Elan Ruusamäe)
 - Fixed bug that that didn't mark issue as updated when adding a time entry (Bryan)
 - Fixed bug with CLI command 'open-issues' (Bryan)
 - Fixed the database schema file to properly set the table types to MyISAM (João)
@@ -143,10 +143,10 @@
 - Added a validation check to the installation screen for the sender address (João)
 - Changed the preferences screen to not allow customers to edit their personal details (João)
 - Removed references to the missing 'cst_use_fulltext' database field (João)
-- Fixed the auto-link feature to properly recognize URLs with pipes in them (Elan RuusamÃ¤e)
-- Added a new Workflow API method to be triggered when SCM commits are made (Elan RuusamÃ¤e)
-- Fixed the IRC bot to automatically re-join the channels when it reconnects (João, Elan RuusamÃ¤e)
-- Improved the Workflow::handleIssueClosed API to receive all arguments related to an issue being closed (Elan RuusamÃ¤e)
+- Fixed the auto-link feature to properly recognize URLs with pipes in them (Elan Ruusamäe)
+- Added a new Workflow API method to be triggered when SCM commits are made (Elan Ruusamäe)
+- Fixed the IRC bot to automatically re-join the channels when it reconnects (João, Elan Ruusamäe)
+- Improved the Workflow::handleIssueClosed API to receive all arguments related to an issue being closed (Elan Ruusamäe)
 - Fixed bug with spell checker (Bryan)
 
 6 Jun 2005, Version 1.5.4
@@ -170,7 +170,7 @@
 - Added feature to display who closed the issue when sending notification email (Bryan)
 - Added feature to automatically change pages to main page when switching projects from view or update page (Bryan)
 - Fixed bug to only display FAQ entries for the currently selected project (Bryan)
-- Fixed a bug that would trigger a loop of errors when a database connection cannot be completed (Elan RuusamÃ¤e)
+- Fixed a bug that would trigger a loop of errors when a database connection cannot be completed (Elan Ruusamäe)
 - Fixed the email removal routine to properly remove the associated email bodies (João)
 - Fixed the permanent email removal routine so it doesn't remove the messages from the server if the 'leave messages on server' option is enabled (João)
 - Added full text searching to the issue listing screen (Bryan)
@@ -188,15 +188,15 @@
 - Fixed problem with resetting user permissions when updating a project (João)
 - Fixed bug with returning number of rows on list issues page (Bryan)
 - Fixed bug with encoding certain characters in email addresses (Bryan)
-- Fixed bug with timezone DST information for 'Europe/Tallinn' and 'Europe/Vilnius' timezones (Elan RuusamÃ¤e)
-- Increased the default memory limit on the IRC bot code to prevent crashes (Elan RuusamÃ¤e)
-- Improved module name readability by making module/directory name not wrap on the list of CVS checkins (Elan RuusamÃ¤e)
-- Changed recent activity report to properly fix the encoding of sender/recipient headers (Elan RuusamÃ¤e)
-- Added feature to automatically activate links from within attachment descriptions (Elan RuusamÃ¤e)
-- Fixed bug that prevented URLs like http://example.com/~user/ from being auto-linked (Elan RuusamÃ¤e)
-- Fixed mail queue log screen to properly use the user's preferred timezone when displaying the queued date (Elan RuusamÃ¤e)
-- Fixed date handling code to properly use PEAR::Date to convert timezones (Elan RuusamÃ¤e)
-- Changed textarea height size to fit within the send email popup window (Elan RuusamÃ¤e)
+- Fixed bug with timezone DST information for 'Europe/Tallinn' and 'Europe/Vilnius' timezones (Elan Ruusamäe)
+- Increased the default memory limit on the IRC bot code to prevent crashes (Elan Ruusamäe)
+- Improved module name readability by making module/directory name not wrap on the list of CVS checkins (Elan Ruusamäe)
+- Changed recent activity report to properly fix the encoding of sender/recipient headers (Elan Ruusamäe)
+- Added feature to automatically activate links from within attachment descriptions (Elan Ruusamäe)
+- Fixed bug that prevented URLs like http://example.com/~user/ from being auto-linked (Elan Ruusamäe)
+- Fixed mail queue log screen to properly use the user's preferred timezone when displaying the queued date (Elan Ruusamäe)
+- Fixed date handling code to properly use PEAR::Date to convert timezones (Elan Ruusamäe)
+- Changed textarea height size to fit within the send email popup window (Elan Ruusamäe)
 - Changed the issue listing screen code so that sorting by status will use the status rank field (João)
 - Fixed code that allowed one to associate an issue to itself (João)
 - Added some extra checks to the login screen to properly report problems on the Eventum installation (João)
@@ -221,7 +221,7 @@
 - Fixed bug with array_merge() on manage users page (Bryan)
 - Fixed bug with not being able to un-assign inactive users from issues (Bryan)
 - Added more thorough input checking to prevent possible SQL Injection attacks (Bryan)
-- Fixed Misc::activateLinks() method to handle links with tildes (Elan RuusamÃ¤e)
+- Fixed Misc::activateLinks() method to handle links with tildes (Elan Ruusamäe)
 - Fixed potential SQL injection vulnerabilities (Bryan)
 - Fixed email handling code to properly strip CC and BCC headers from outgoing emails to avoid sending duplicate messages (Bryan)
 - Added feature to list issues on Custom Fields report (Bryan)
@@ -232,10 +232,10 @@
 - Added feature to display project name in IRC notice if multiple projects are broadcasting in the same channel (Bryan)
 - Fixed bug that caused notification to be sent to user who updated issue (Bryan)
 - Fixed bug that prevented multiple select custom fields to have values cleared (Bug #9853) (Bryan)
-- Changed issue listing screen show/hide links to be displayed in Opera/Safari (Elan RuusamÃ¤e)
-- Fixed dynCalendar so it works in Opera (Elan RuusamÃ¤e)
-- Added issue description to RSS feed as well as other minor fixes (Elan RuusamÃ¤e)
-- Fixed bug with transferring non-ASCII data over xmlrpc (Elan RuusamÃ¤e)
+- Changed issue listing screen show/hide links to be displayed in Opera/Safari (Elan Ruusamäe)
+- Fixed dynCalendar so it works in Opera (Elan Ruusamäe)
+- Added issue description to RSS feed as well as other minor fixes (Elan Ruusamäe)
+- Fixed bug with transferring non-ASCII data over xmlrpc (Elan Ruusamäe)
 - Fixed bug on the issue listing screen that would not add the assignee to the notification list (João)
 - Added feature to clear closed date and resolution when re-opening issues (Bryan)
 - Added feature to honor default notification options (Bryan)
@@ -264,13 +264,13 @@
 - Changed the behavior of the view issue screen to automatically hide tables without any data (João)
 - Fixed some caching problems that might be triggered when customizing the columns to be displayed at a project level (João)
 - Fixed the report form so that it dynamically focus the correct field depending on what form fields are hidden (João)
-- Changed the view email screen to set the page character set to whatever is set on the underlying email content (Elan RuusamÃ¤e)
+- Changed the view email screen to set the page character set to whatever is set on the underlying email content (Elan Ruusamäe)
 - Added Estimated Dev time field to list issues page, view issue page and update page (Dustin Sias)
 - Added Percent complete field (Dustin Sias)
 - Changed javascript confirmation when updating an issue to not be displayed if no emails accounts exist yet (Bryan)
 - Fixed bug that allowed any authenticated user to assign any issue to any user (Bug #9097) (Bryan)
-- Changed history of changes screen to properly decode quoted-printable subject (Elan RuusamÃ¤e)
-- Changed the expandable cell feature to also automatically activate links (Elan RuusamÃ¤e)
+- Changed history of changes screen to properly decode quoted-printable subject (Elan Ruusamäe)
+- Changed the expandable cell feature to also automatically activate links (Elan Ruusamäe)
 - Changed the error handling routines to save an error log with more detailed information (João)
 - Fixed bug that would prevent users from downloading files because of encoded content-type headers (João)
 
@@ -311,8 +311,8 @@
 - Added option to display reporter to list issues page (Bryan)
 - Added the feature to always allow the issue reporter to send emails (Bryan)
 - Changed attachment handling to work with inline attachments (Bryan)
-- Apply encoding fixes in more places (Elan RuusamÃ¤e)
-- Fixed the CVS integration code to silence console errors when adding a new directory (Elan RuusamÃ¤e)
+- Apply encoding fixes in more places (Elan Ruusamäe)
+- Fixed the CVS integration code to silence console errors when adding a new directory (Elan Ruusamäe)
 - Fixed the email download code to release the lock if there is an error connecting to the mail server (Bryan)
 - Added workload by date range report (Bryan)
 - Added missing "scm_checkin_associated" history type (João)
@@ -324,8 +324,8 @@
 - Added reminders and ability to sort to recent activity report (Bryan)
 - Added feature to prevent time tracking categories 'Email Discussion' and 'Telephone Discussion' from being removed (Bryan)
 - When changing status with 'Change Status' select box, send out notification message (Bryan)
-- Fixed the CVS commit handling regular expression to properly match "issue" or "bug" followed by a number (Elan RuusamÃ¤e)
-- Fixed the monitor code to properly escape the dash when searching for the IRC bot pid (Elan RuusamÃ¤e)
+- Fixed the CVS commit handling regular expression to properly match "issue" or "bug" followed by a number (Elan Ruusamäe)
+- Fixed the monitor code to properly escape the dash when searching for the IRC bot pid (Elan Ruusamäe)
 
 04 Jan 2005, Version 1.4
 - Fixed the notification code to properly handle the condition in which the recipient type flag is empty (João)
Files eventum-1.7.1/images/dtree/base.gif and eventum-1.7.1.charset/images/dtree/base.gif differ
diff -ur eventum-1.7.1/include/class.mail.php eventum-1.7.1.charset/include/class.mail.php
--- eventum-1.7.1/include/class.mail.php	2006-03-30 19:42:18.000000000 +0300
+++ eventum-1.7.1.charset/include/class.mail.php	2006-03-30 21:23:48.803740678 +0300
@@ -22,7 +22,7 @@
 // | 59 Temple Place - Suite 330                                          |
 // | Boston, MA 02111-1307, USA.                                          |
 // +----------------------------------------------------------------------+
-// | Authors: JoÃ£o Prado Maia <jpm@mysql.com>                             |
+// | Authors: João Prado Maia <jpm@mysql.com>                             |
 // +----------------------------------------------------------------------+
 //
 //
@@ -41,7 +41,7 @@
  * different platforms.
  *
  * @version 1.0
- * @author JoÃ£o Prado Maia <jpm@mysql.com>
+ * @author João Prado Maia <jpm@mysql.com>
  */
 
 class Mail_API
diff -ur eventum-1.7.1/include/class.routing.php eventum-1.7.1.charset/include/class.routing.php
--- eventum-1.7.1/include/class.routing.php	2006-03-30 19:42:18.000000000 +0300
+++ eventum-1.7.1.charset/include/class.routing.php	2006-03-30 21:23:48.663737545 +0300
@@ -22,7 +22,7 @@
 // | 59 Temple Place - Suite 330                                          |
 // | Boston, MA 02111-1307, USA.                                          |
 // +----------------------------------------------------------------------+
-// | Authors: JoÃ£o Prado Maia <jpm@mysql.com>                             |
+// | Authors: João Prado Maia <jpm@mysql.com>                             |
 // +----------------------------------------------------------------------+
 //
 // @(#) $Id: s.class.support.php 1.79 04/01/23 21:47:17-00:00 jpradomaia $