--- eventum/include/class.support.php~	2006-09-08 02:14:01.000000000 +0300
+++ eventum/include/class.support.php	2006-09-08 02:14:07.030456619 +0300
@@ -1475,14 +1475,10 @@
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
         } else {
-            // gotta parse MIME based emails now
-            $output = Mime_Helper::decode($res["seb_full_email"], true);
-            $res["message"] = Mime_Helper::getMessageBody($output); // XXX: check which code relies on this var
             $res["attachments"] = Mime_Helper::getAttachmentCIDs($res["seb_full_email"]);
             $res["timestamp"] = Date_API::getUnixTimestamp($res['sup_date'], 'GMT');
             $res["sup_date"] = Date_API::getFormattedDate($res["sup_date"]);
             $res["sup_subject"] = Mime_Helper::fixEncoding($res["sup_subject"]);
-            // remove extra 'Re: ' from subject
             $res['reply_subject'] = Mail_API::removeExcessRe('Re: ' . $res["sup_subject"], true);
             $res["sup_from"] = Mime_Helper::fixEncoding($res["sup_from"]);
             $res["sup_to"] = Mime_Helper::fixEncoding($res["sup_to"]);
--- eventum/new.php~	2006-09-08 02:10:47.000000000 +0300
+++ eventum/new.php	2006-09-08 02:14:46.813226489 +0300
@@ -104,7 +104,7 @@
             $email_details = Support::getEmailDetails(Email_Account::getAccountByEmail($HTTP_GET_VARS["item"][0]), $HTTP_GET_VARS["item"][0]);
             $tpl->assign(array(
                 'issue_summary'     => $email_details['sup_subject'],
-                'issue_description' => $email_details['message']
+                'issue_description' => $email_details['seb_body']
             ));
             // also auto pre-fill the customer contact text fields
             if (Customer::hasCustomerIntegration($prj_id)) {
--- eventum/view_email.php~	2006-09-08 02:10:47.000000000 +0300
+++ eventum/view_email.php	2006-09-08 02:19:46.939946216 +0300
@@ -39,10 +39,6 @@
 $tpl->setTemplate("view_email.tpl.html");
 
 Auth::checkAuthentication(APP_COOKIE, 'index.php?err=5', true);
-
-$email = Support::getEmailDetails($HTTP_GET_VARS["ema_id"], $HTTP_GET_VARS["id"]);
-$email["message"] = str_replace("&amp;nbsp;", "&nbsp;",$email["message"]);
-
 $issue_id = Support::getIssueFromEmail($HTTP_GET_VARS["id"]);
 
 if (!Issue::canAccess($issue_id, Auth::getUserID())) {
@@ -51,6 +47,8 @@
     exit;
 }
 
+$email = Support::getEmailDetails($HTTP_GET_VARS["ema_id"], $HTTP_GET_VARS["id"]);
+$email['seb_body'] = str_replace("&amp;nbsp;", "&nbsp;", $email['seb_body']);
 $tpl->bulkAssign(array(
     "email"           => $email,
     "issue_id"        => $issue_id,
--- eventum/templates/view_email.tpl.html~	2006-09-08 02:10:47.000000000 +0300
+++ eventum/templates/view_email.tpl.html	2006-09-08 02:19:44.096034153 +0300
@@ -203,7 +203,7 @@
         </tr>
         <tr>
           <td colspan="2" bgcolor="{$light_color}" id="email_message" class="default">
-{$email.message|highlight_quoted|nl2br|activateLinks}
+{$email.seb_body|highlight_quoted|nl2br|activateLinks}
           </td>
         </tr>
         <tr>
--- eventum/get_remote_data.php~	2006-09-08 02:10:47.000000000 +0300
+++ eventum/get_remote_data.php	2006-09-08 02:21:50.392128928 +0300
@@ -62,7 +62,7 @@
     $split = explode("-", $id);
     $info = Support::getEmailDetails($split[0],$split[1]);
     if (!empty($_GET["ec_id"])) {
-        return Link_Filter::processText(Auth::getCurrentProject(), nl2br($_GET["ec_id"] . ":" . $id. ":" . Misc::highlightQuotedReply($info["message"])));
+        return Link_Filter::processText(Auth::getCurrentProject(), nl2br($_GET["ec_id"] . ":" . $id. ":" . Misc::highlightQuotedReply($info['seb_body'])));
     } else {
         return $info["seb_body"];
     }
--- eventum/send.php~	2006-09-08 02:10:47.000000000 +0300
+++ eventum/send.php	2006-09-08 02:23:50.976400320 +0300
@@ -129,7 +129,7 @@
         $email = Support::getEmailDetails($HTTP_GET_VARS["ema_id"], $HTTP_GET_VARS["id"]);
         $date = Misc::formatReplyDate($email["timestamp"]);
         $header = "\n\n\nOn $date, " . $email["sup_from"] . " wrote:\n>\n";
-        $email["seb_body"] = $header . Misc::formatReply($email["message"]);
+        $email['seb_body'] = $header . Misc::formatReply($email['seb_body']);
         $tpl->bulkAssign(array(
             "email"           => $email,
             "parent_email_id" => $HTTP_GET_VARS["id"]