--- eventum-20060720/templates/notes.tpl.html~	2006-07-20 21:34:05.958276624 +0300
+++ eventum-20060720/templates/notes.tpl.html	2006-07-20 21:38:04.023620347 +0300
@@ -14,7 +14,7 @@
 }
 function convertNote(note_id)
 {
-    if (!confirm('{/literal}{t escape=none}This note will be deleted & converted to an email, one either sent immediately or saved as a draft.{/t}{literal}')) {
+    if (!confirm('{/literal}{t escape=js}This note will be deleted & converted to an email, one either sent immediately or saved as a draft.{/t}{literal}')) {
         return false;
     } else {
         var features = 'width=420,height=180,top=30,left=30,resizable=yes,scrollbars=yes,toolbar=no,location=no,menubar=no,status=no';
diff -u -r eventum-20060720/templates/notifications/account_details.tpl.text eventum-20060720.tpl/templates/notifications/account_details.tpl.text
--- eventum-20060720/templates/notifications/account_details.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/account_details.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,12 +1,12 @@
 {textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1.{/t}
 
-{t}Your full account information is available below.{/t}
+{t escape=no}Your full account information is available below.{/t}
 {/textformat}
 
 ----------------------------------------------------------------------
-        {t}Full Name{/t}: {$user.usr_full_name}
-    {t}Email Address{/t}: {$user.usr_email}
-{t}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
+        {t escape=no}Full Name{/t}: {$user.usr_full_name}
+    {t escape=no}Email Address{/t}: {$user.usr_email}
+{t escape=no}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
 {if not $smarty.foreach.project.first}                   {/if}{$project.prj_title}: {$project.role}
 {/foreach}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/assigned.tpl.text eventum-20060720.tpl/templates/notifications/assigned.tpl.text
--- eventum-20060720/templates/notifications/assigned.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/assigned.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -3,17 +3,17 @@
 {t 1=$current_user}An issue was assigned to you by %1{/t}
 
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$issue.iss_id}
 {/textformat}
 ----------------------------------------------------------------------
-               {t}ID{/t}: {$issue.iss_id}
-          {t}Summary{/t}: {$issue.iss_summary}
-          {t}Project{/t}: {$issue.prj_title}
-      {t}Reported By{/t}: {$issue.usr_full_name}
-       {t}Assignment{/t}: {$issue.assigned_users}
-         {t}Priority{/t}: {$issue.pri_title}
-      {t}Description{/t}:
+               {t escape=no}ID{/t}: {$issue.iss_id}
+          {t escape=no}Summary{/t}: {$issue.iss_summary}
+          {t escape=no}Project{/t}: {$issue.prj_title}
+      {t escape=no}Reported By{/t}: {$issue.usr_full_name}
+       {t escape=no}Assignment{/t}: {$issue.assigned_users}
+         {t escape=no}Priority{/t}: {$issue.pri_title}
+      {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$issue.iss_description}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/closed.tpl.text eventum-20060720.tpl/templates/notifications/closed.tpl.text
--- eventum-20060720/templates/notifications/closed.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/closed.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,20 +1,20 @@
 {textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1.{/t}
 
-{t}This issue was just closed by{/t} {$data.closer_name}{if $data.reason != ''}
- {t}with the message{/t}: {$data.reason}{/if}.
+{t escape=no}This issue was just closed by{/t} {$data.closer_name}{if $data.reason != ''}
+ {t escape=no}with the message{/t}: {$data.reason}{/if}.
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 {/textformat}
 
 ----------------------------------------------------------------------
-               {t}ID{/t}: {$data.iss_id}
-          {t}Summary{/t}: {$data.iss_summary}
-           {t}Status{/t}: {$data.sta_title}
-          {t}Project{/t}: {$data.prj_title}
-      {t}Reported By{/t}: {$data.usr_full_name}
-         {t}Priority{/t}: {$data.pri_title}
-      {t}Description{/t}:
+               {t escape=no}ID{/t}: {$data.iss_id}
+          {t escape=no}Summary{/t}: {$data.iss_summary}
+           {t escape=no}Status{/t}: {$data.sta_title}
+          {t escape=no}Project{/t}: {$data.prj_title}
+      {t escape=no}Reported By{/t}: {$data.usr_full_name}
+         {t escape=no}Priority{/t}: {$data.pri_title}
+      {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$data.iss_description}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/files.tpl.text eventum-20060720.tpl/templates/notifications/files.tpl.text
--- eventum-20060720/templates/notifications/files.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/files.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,31 +1,31 @@
-{textformat style="email"}{t}This is an automated message sent at your request from{/t} {$app_title}.
+{textformat style="email"}{t escape=no}This is an automated message sent at your request from{/t} {$app_title}.
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 {/textformat}
 
-{t}New Attachment{/t}:
+{t escape=no}New Attachment{/t}:
 ----------------------------------------------------------------------
-      {t}Owner{/t}: {$data.attachment.usr_full_name}
-       {t}Date{/t}: {$data.attachment.iat_created_date}
-      {t}Files{/t}:
+      {t escape=no}Owner{/t}: {$data.attachment.usr_full_name}
+       {t escape=no}Date{/t}: {$data.attachment.iat_created_date}
+      {t escape=no}Files{/t}:
 {section name="i" loop=$data.attachment.files}
              {$data.attachment.files[i].iaf_filename} ({$data.attachment.files[i].iaf_filesize})
 {/section}
-{t}Description{/t}:
+{t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$data.attachment.iat_description}
 ----------------------------------------------------------------------
 
-{t}These are the current issue details{/t}:
+{t escape=no}These are the current issue details{/t}:
 ----------------------------------------------------------------------
-               {t}ID{/t}: {$data.iss_id}
-          {t}Summary{/t}: {$data.iss_summary}
-           {t}Status{/t}: {$data.sta_title}
-          {t}Project{/t}: {$data.prj_title}
-      {t}Reported By{/t}: {$data.usr_full_name}
-         {t}Priority{/t}: {$data.pri_title}
-      {t}Description{/t}:
+               {t escape=no}ID{/t}: {$data.iss_id}
+          {t escape=no}Summary{/t}: {$data.iss_summary}
+           {t escape=no}Status{/t}: {$data.sta_title}
+          {t escape=no}Project{/t}: {$data.prj_title}
+      {t escape=no}Reported By{/t}: {$data.usr_full_name}
+         {t escape=no}Priority{/t}: {$data.pri_title}
+      {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$data.iss_description}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/new.tpl.text eventum-20060720.tpl/templates/notifications/new.tpl.text
--- eventum-20060720/templates/notifications/new.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/new.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,17 +1,17 @@
 {textformat style="email"}{t name=$app_title}This is an automated message sent at your request from %1{/t}.
 
-{t}A new issue was just created and assigned to you.{/t}
+{t escape=no}A new issue was just created and assigned to you.{/t}
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$issue.iss_id}{/textarea}
 
 ----------------------------------------------------------------------
-               {t}ID{/t}: {$issue.iss_id}
-          {t}Summary{/t}: {$issue.iss_summary}
-          {t}Project{/t}: {$issue.prj_title}
-      {t}Reported By{/t}: {$issue.usr_full_name}
-         {t}Priority{/t}: {$issue.pri_title}
-      {t}Description{/t}:
+               {t escape=no}ID{/t}: {$issue.iss_id}
+          {t escape=no}Summary{/t}: {$issue.iss_summary}
+          {t escape=no}Project{/t}: {$issue.prj_title}
+      {t escape=no}Reported By{/t}: {$issue.usr_full_name}
+         {t escape=no}Priority{/t}: {$issue.pri_title}
+      {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$issue.iss_description}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/new_auto_created_issue.tpl.text eventum-20060720.tpl/templates/notifications/new_auto_created_issue.tpl.text
--- eventum-20060720/templates/notifications/new_auto_created_issue.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/new_auto_created_issue.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,27 +1,27 @@
 {textformat style="email"}
 {if $sender_name}
-{t}Dear{/t} {$sender_name},
+{t escape=no}Dear{/t} {$sender_name},
 
 {/if}
 {t name=$app_title}This is an automated message sent at your request from %1{/t}.
 
-{t}We received a message from you and for your convenience, we created an issue that will be used by our staff to handle your message.{/t}
+{t escape=no}We received a message from you and for your convenience, we created an issue that will be used by our staff to handle your message.{/t}
 {/textformat}
 
-        {t}Date{/t}: {$email.date}
-        {t}From{/t}: {$email.from}
-     {t}Subject{/t}: {$email.subject}
+        {t escape=no}Date{/t}: {$email.date}
+        {t escape=no}From{/t}: {$email.from}
+     {t escape=no}Subject{/t}: {$email.subject}
 
 {if $sender_can_access == 1}
-{t}To view more details of this issue, or to update it, please visit the
+{t escape=no}To view more details of this issue, or to update it, please visit the
 following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 {/if}
 
-     {t}Issue{/t} #: {$data.iss_id}
-     {t}Summary{/t}: {$data.iss_summary}
-    {t}Priority{/t}: {$data.pri_title}
-   {t}Submitted{/t}: {$data.iss_created_date}
+     {t escape=no}Issue{/t} #: {$data.iss_id}
+     {t escape=no}Summary{/t}: {$data.iss_summary}
+    {t escape=no}Priority{/t}: {$data.pri_title}
+   {t escape=no}Submitted{/t}: {$data.iss_created_date}
 
 {if $sender_can_access == 1}
 {textformat style="email"}
diff -u -r eventum-20060720/templates/notifications/new_issue.tpl.text eventum-20060720.tpl/templates/notifications/new_issue.tpl.text
--- eventum-20060720/templates/notifications/new_issue.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/new_issue.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,25 +1,25 @@
-{textformat style="email"}{t}This is an automated message sent at your request from{/t} {$app_title}.
+{textformat style="email"}{t escape=no}This is an automated message sent at your request from{/t} {$app_title}.
 
-{t}A new issue was just created in the system.{/t}
+{t escape=no}A new issue was just created in the system.{/t}
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 {/textformat}
 
 ----------------------------------------------------------------------
-                {t}ID{/t}: {$data.iss_id}
-           {t}Summary{/t}: {$data.iss_summary}
-           {t}Project{/t}: {$data.prj_title}
-       {t}Reported{/t} By: {$data.reporter}
-        {t}Assignment{/t}: {$data.assignments}
-          {t}Priority{/t}: {$data.pri_title}
-       {t}Description{/t}:
+                {t escape=no}ID{/t}: {$data.iss_id}
+           {t escape=no}Summary{/t}: {$data.iss_summary}
+           {t escape=no}Project{/t}: {$data.prj_title}
+       {t escape=no}Reported{/t} By: {$data.reporter}
+        {t escape=no}Assignment{/t}: {$data.assignments}
+          {t escape=no}Priority{/t}: {$data.pri_title}
+       {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$data.iss_original_description}
 ----------------------------------------------------------------------
 
 {if $data.custom_fields|@count > 0}
-{t}Issue Details{/t}
+{t escape=no}Issue Details{/t}
 
 ----------------------------------------------------------------------
 {section name="i" loop=$data.custom_fields}
@@ -29,14 +29,14 @@
 {/if}
 {if $data.attachments|@count > 0}
 
-{t}Attachments{/t}
+{t escape=no}Attachments{/t}
 ----------------------------------------------------------------------
 {section name="i" loop=$data.attachments}
-      {t}Files{/t}: {$data.attachments[i].files[0].iaf_filename}
+      {t escape=no}Files{/t}: {$data.attachments[i].files[0].iaf_filename}
 {section name="files" loop=$data.attachments[i].files start=1}
              {$data.attachments[i].files[files].iaf_filename}
 {/section}
-{t}Description{/t}: {$data.attachments[i].iat_description}
+{t escape=no}Description{/t}: {$data.attachments[i].iat_description}
 ----------------------------------------------------------------------
 {/section}
 {/if}
diff -u -r eventum-20060720/templates/notifications/new_user.tpl.text eventum-20060720.tpl/templates/notifications/new_user.tpl.text
--- eventum-20060720/templates/notifications/new_user.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/new_user.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,13 +1,13 @@
-{t}A new user was just created for you in the system.{/t}
+{t escape=no}A new user was just created for you in the system.{/t}
 
-{t}To start using the system, please load the URL below{/t}:
+{t escape=no}To start using the system, please load the URL below{/t}:
 {$app_base_url}index.php
 
 ----------------------------------------------------------------------
-        {t}Full Name{/t}: {$user.usr_full_name}
-    {t}Email Address{/t}: {$user.usr_email}
-         {t}Password{/t}: {$user.usr_password}
-{t}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
+        {t escape=no}Full Name{/t}: {$user.usr_full_name}
+    {t escape=no}Email Address{/t}: {$user.usr_email}
+         {t escape=no}Password{/t}: {$user.usr_password}
+{t escape=no}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
 {if not $smarty.foreach.project.first}                   {/if}{$project.prj_title}: {$project.role}
 {/foreach}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/notes.tpl.text eventum-20060720.tpl/templates/notifications/notes.tpl.text
--- eventum-20060720/templates/notifications/notes.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/notes.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -2,22 +2,22 @@
 
 
 ----------------------------------------------------------------------
-{t}These are the current issue details{/t}:
+{t escape=no}These are the current issue details{/t}:
 ----------------------------------------------------------------------
-               {t}ID{/t}: {$data.iss_id}
-          {t}Summary{/t}: {$data.iss_summary}
-           {t}Status{/t}: {$data.sta_title}
-          {t}Project{/t}: {$data.prj_title}
-      {t}Reported By{/t}: {$data.usr_full_name}
-         {t}Priority{/t}: {$data.pri_title}
-      {t}Description{/t}:
+               {t escape=no}ID{/t}: {$data.iss_id}
+          {t escape=no}Summary{/t}: {$data.iss_summary}
+           {t escape=no}Status{/t}: {$data.sta_title}
+          {t escape=no}Project{/t}: {$data.prj_title}
+      {t escape=no}Reported By{/t}: {$data.usr_full_name}
+         {t escape=no}Priority{/t}: {$data.pri_title}
+      {t escape=no}Description{/t}:
 ----------------------------------------------------------------------
 {$data.iss_description}
 ----------------------------------------------------------------------
 
 
 {textformat style="email"}
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 
 {t name=$app_title}Please Note: If you do not wish to receive any future email notifications from %1, please change your account preferences by visiting the URL below{/t}:
diff -u -r eventum-20060720/templates/notifications/updated.tpl.text eventum-20060720.tpl/templates/notifications/updated.tpl.text
--- eventum-20060720/templates/notifications/updated.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/updated.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,13 +1,13 @@
-{textformat style="email"}{t}This is an automated message sent at your request from{/t} {$app_title}.
+{textformat style="email"}{t escape=no}This is an automated message sent at your request from{/t} {$app_title}.
 
-{t}To view more details of this issue, or to update it, please visit the following URL{/t}:
+{t escape=no}To view more details of this issue, or to update it, please visit the following URL{/t}:
 {$app_base_url}view.php?id={$data.iss_id}
 {/textformat}
 
 ----------------------------------------------------------------------
-          {t}Issue #{/t}: {$data.iss_id}
-          {t}Summary{/t}: {$data.iss_summary}
-   {t}Changed Fields{/t}:
+          {t escape=no}Issue #{/t}: {$data.iss_id}
+          {t escape=no}Summary{/t}: {$data.iss_summary}
+   {t escape=no}Changed Fields{/t}:
 ----------------------------------------------------------------------
 {$data.diffs}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/updated_account.tpl.text eventum-20060720.tpl/templates/notifications/updated_account.tpl.text
--- eventum-20060720/templates/notifications/updated_account.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/updated_account.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,11 +1,11 @@
 {t 1=$app_title}Your user account has been updated in %1{/t}.
 
-{t}Your account information as it now exists appears below.{/t}
+{t escape=no}Your account information as it now exists appears below.{/t}
 
 ----------------------------------------------------------------------
-        {t}Full Name{/t}: {$user.usr_full_name}
-    {t}Email Address{/t}: {$user.usr_email}
-{t}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
+        {t escape=no}Full Name{/t}: {$user.usr_full_name}
+    {t escape=no}Email Address{/t}: {$user.usr_email}
+{t escape=no}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
 {if not $smarty.foreach.project.first}                   {/if}{$project.prj_title}: {$project.role}
 {/foreach}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/notifications/updated_password.tpl.text eventum-20060720.tpl/templates/notifications/updated_password.tpl.text
--- eventum-20060720/templates/notifications/updated_password.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/notifications/updated_password.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,12 +1,12 @@
 {t name=$app_title}Your user account password has been updated in %1{/t}.
 
-{t}Your account information as it now exists appears below.{/t}
+{t escape=no}Your account information as it now exists appears below.{/t}
 
 ----------------------------------------------------------------------
-        {t}Full Name{/t}: {$user.usr_full_name}
-    {t}Email Address{/t}: {$user.usr_email}
-         {t}Password{/t}: {$user.usr_password}
-{t}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
+        {t escape=no}Full Name{/t}: {$user.usr_full_name}
+    {t escape=no}Email Address{/t}: {$user.usr_email}
+         {t escape=no}Password{/t}: {$user.usr_password}
+{t escape=no}Assigned Projects{/t}: {foreach from=$user.projects item=project name=project}
 {if not $smarty.foreach.project.first}                   {/if}{$project.prj_title}: {$project.role}
 {/foreach}
 ----------------------------------------------------------------------
diff -u -r eventum-20060720/templates/reminders/alert_no_recipients.tpl.text eventum-20060720.tpl/templates/reminders/alert_no_recipients.tpl.text
--- eventum-20060720/templates/reminders/alert_no_recipients.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/reminders/alert_no_recipients.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,21 +1,21 @@
 {t name=$type}The following %1 reminder could not be sent out because no recipients could be found{/t}:
 ============================================================
 
-{t}Automated Issue{/t} #{$data.iss_id} {t}Reminder Alert{/t}!
+{t escape=no}Automated Issue{/t} #{$data.iss_id} {t escape=no}Reminder Alert{/t}!
 
-          {t}URL{/t}: {$app_base_url}view.php?id={$data.iss_id}
-      {t}Summary{/t}: {$data.iss_summary}
-   {t}Assignment{/t}: {$data.assigned_users}
+          {t escape=no}URL{/t}: {$app_base_url}view.php?id={$data.iss_id}
+      {t escape=no}Summary{/t}: {$data.iss_summary}
+   {t escape=no}Assignment{/t}: {$data.assigned_users}
 {if $has_customer_integration}
-     {t}Customer{/t}: {$data.customer_info.customer_name}
-{t}Support Level{/t}: {$data.customer_info.support_level}
+     {t escape=no}Customer{/t}: {$data.customer_info.customer_name}
+{t escape=no}Support Level{/t}: {$data.customer_info.support_level}
 {/if}
 
- {t}Alert Reason{/t}:
-     {t}Triggered Reminder{/t} "{$reminder.rem_title}"
-               {t}Action{/t} "{$action.rma_title}"
+ {t escape=no}Alert Reason{/t}:
+     {t escape=no}Triggered Reminder{/t} "{$reminder.rem_title}"
+               {t escape=no}Action{/t} "{$action.rma_title}"
 
-  {t}Alert Query{/t}:
+  {t escape=no}Alert Query{/t}:
      {section name="i" loop=$conditions}
      {$conditions[i].rmf_title} - {$conditions[i].rmo_title} - {$conditions[i].rlc_value}
      {/section}
diff -u -r eventum-20060720/templates/reminders/email_alert.tpl.text eventum-20060720.tpl/templates/reminders/email_alert.tpl.text
--- eventum-20060720/templates/reminders/email_alert.tpl.text	2006-07-20 21:40:21.366703004 +0300
+++ eventum-20060720.tpl/templates/reminders/email_alert.tpl.text	2006-07-20 21:40:07.026381143 +0300
@@ -1,18 +1,18 @@
 {t name=$data.iss_id}Automated Issue # %1 Reminder Alert{/t}!
 
-          {t}URL{/t}: {$app_base_url}view.php?id={$data.iss_id}
-      {t}Summary{/t}: {$data.iss_summary}
-   {t}Assignment{/t}: {$data.assigned_users}
+          {t escape=no}URL{/t}: {$app_base_url}view.php?id={$data.iss_id}
+      {t escape=no}Summary{/t}: {$data.iss_summary}
+   {t escape=no}Assignment{/t}: {$data.assigned_users}
 {if $has_customer_integration}
-     {t}Customer{/t}: {$data.customer_info.customer_name}
-{t}Support Level{/t}: {$data.customer_info.support_level}
+     {t escape=no}Customer{/t}: {$data.customer_info.customer_name}
+{t escape=no}Support Level{/t}: {$data.customer_info.support_level}
 {/if}
 
- {t}Alert Reason{/t}:
-     {t}Triggered Reminder{/t} "{$reminder.rem_title}"
-               {t}Action{/t} "{$action.rma_title}"
+ {t escape=no}Alert Reason{/t}:
+     {t escape=no}Triggered Reminder{/t} "{$reminder.rem_title}"
+               {t escape=no}Action{/t} "{$action.rma_title}"
     
-  {t}Alert Query{/t}:
+  {t escape=no}Alert Query{/t}:
      {section name="i" loop=$conditions}
      {$conditions[i].rmf_title} - {$conditions[i].rmo_title} - {$conditions[i].rlc_value}
      {/section}